For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • GETDownload employee agreement PDF
      • GETPreview job offer letter
      • POSTSign a contract
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Agreements

Preview job offer letter

GET
/eor/workers/contracts/:contract_id/offer-letter
GET
/rest/v2/eor/workers/contracts/:contract_id/offer-letter
$curl https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/offer-letter \
> -H "Authorization: Bearer <token>"
1"<!DOCTYPE html>\n<html lang=\"en\">\n<head>\n <meta charset=\"UTF-8\">\n <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n <title>Job Offer Letter</title>\n</head>\n<body>\n <h1>Job Offer Letter</h1>\n <p>Dear [Candidate Name],</p>\n <p>We are pleased to offer you the position of [Position] at [Company].</p>\n <p>Sincerely,</p>\n <p>[Your Name]</p>\n</body>\n</html>"

Returns the job offer letter for an EOR contract in HTML format. IC and Global Payroll contract types are not supported and will not return a result. Token scopes: worker:read

Was this page helpful?
Previous

Sign a contract

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Response

Successful operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error